%define rbname bdb
%define version 0.5.8
%define release %mkrel 2

Summary: An interface to Berkeley DB for Ruby
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Other
License: GPL
URL: http://moulon.inra.fr/ruby/bdb.html
Source0: ftp://moulon.inra.fr/pub/ruby/%{rbname}-%{version}.tar.bz2
Patch0:	ruby-bdb-dependency.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel 
BuildRequires: db4.3-devel

%define ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"]')
%define ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')

%description
This is an interface to Berkeley DB, it contains also an interface to
Berkeley DB XML.

%prep
%setup -q -n %{rbname}-%{version}
%patch0
for f in `find examples -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done

%build
ruby extconf.rb
make
make test 

%install
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README.en examples docs Changes
%{ruby_archdir}/bdb.so

%changelog

* Tue May 02 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.8-2mdk
- try removing hard dep on the lib version

* Sat Jan 07 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.8-1mdk
- 0.5.8

* Sat Nov 12 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.7-1mdk
- 0.5.7
- mkrel

* Mon May 17 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.6-1mdk
- 0.5.6

* Sat Apr 30 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.5-1mdk
- 0.5.5

* Sat Mar 19 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.4-1mdk
- 0.5.4

* Thu Nov 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.2-1mdk
- 0.5.2

* Sat Jul 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.0-1mdk
- First version of the package 
